#ifndef GETSETDATA_H
#define GETSETDATA_H

#include <sys/types.h>

/* for <linux/lockmeter.h> */
#ifdef mips
#define CONFIG_MIPS32_COMPAT 1
#endif

#include <linux/lockmeter.h>

extern void	closeFiles(void);
extern void	getKernelData(lstat_user_request_t **, lstat_lock_counts_t ***,
			      lstat_directory_entry_t **,
			      lstat_read_lock_counts_t ***, int);
extern int	isProcFile(void);
extern int	openKernelData(char *);
extern void	setCollectionState(int);
extern void	setMirrorOutFilename(char *);

#endif
