#ifndef LOCKSTAT_VERSION_H
#define LOCKSTAT_VERSION_H
/*
 * lockstat version string
 *
 * Note the version string must match the following
 * regular expression for the 'tarball' target of the
 * Makefile to work correctly:
 *	"\([0-9.a-z+]*\)"
 */
#define LOCKSTAT_VERSION "1.4.11+lts+2"

/*
 * Version History:
 *
 * 1.4.11	- base version for this history
 *
//TODO:  will replace the following with single revision update
//       when complete:  1.4.12?  1.5.0?
 * 1.4.11+lts+1	- work-in-progress
 *		  Makefile/build enhancements.
 *		  General cleanup for x86_64 builds--e.g.,
 *		  add appropriate header includes to obtain
 *		  correct function prototypes.
 *		  Begin whitespace and stylistic cleanup.
 *		  Begin work to make lockstat executable more
 *		  independent of the kernel config.  Eliminate
 *		  dependence on fixed table sizes, ...  Pass
 *		  size info in "user request" header structure.
 *
 * 1.4.11+lts+2 - work-in-progress
 *		  Build cleanup for RHEL5/GA -- remove include of
 *		  <linux/config.h>.  Cleanup up patches.
 */

#endif
